# Interface RampKeySet.Ramp

Enclosing class:
  `RampKeySet`

public static interface RampKeySet.Ramp
Defines ramp characteristics by aggregating a Shader and a Scaling.

Since:
  16 Sep 2014
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`Subrange`
`getDataClip()`
Returns an adjustment to the default data range which the defined ramp should cover.
`Scaling`
`getScaling()`
Returns the scaling function used to map data values to the shader range.
`Shader`
`getShader()`
Returns this ramp's shader.

## Method Details

### getShader

Shader getShader()
Returns this ramp's shader.

Returns:
  shader

### getScaling

Scaling getScaling()
Returns the scaling function used to map data values to the shader range.

Returns:
  scaling

### getDataClip

Subrange getDataClip()
Returns an adjustment to the default data range which the defined ramp should cover.

Returns:
  input value subrange